Page MenuHomePhabricator

Make JADE visible in the MediaWiki UI
Closed, ResolvedPublic

Description

Right now if you install the JADE extension to a MediaWiki instance, it's very difficult to tell that JADE Is installed. The goal of this task is to determine the best ways to make JADE visible in the UI.

Event Timeline

Harej created this task.Nov 5 2018, 5:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 5 2018, 5:22 PM
awight moved this task from In Progress to Radar on the Jade board.
awight moved this task from Radar to Inbox on the Jade board.Nov 14 2018, 11:03 PM
awight moved this task from Inbox to Product on the Jade board.Nov 14 2018, 11:06 PM
Harej closed this task as Resolved.Dec 19 2018, 11:13 PM

We are going ahead with these UI integrations:

  • Entry view mode (i.e. the Jade page itself)
  • Entry edit mode
  • Diff view integration
  • Watchlist integration
  • Search integration